package org.pmmik.main;

import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;
import org.pmmik.model.Student;

// forrs:
//http://www.vogella.com/tutorials/JavaPersistenceAPI/article.html

public class Main {

    // A legels futtatskor mg nincs egyetlen dik sem, 
    // a ksbbi futtatsokkor mindig egy-egy jabb dik kerl be az adatbzisba
    // (jelenleg mindenki Kovcs Edit)
    private static final String PERSISTENCE_UNIT_NAME = "students";
    private static EntityManagerFactory factory;

    public static void main(String[] args) {
        factory = Persistence.createEntityManagerFactory(PERSISTENCE_UNIT_NAME);
        EntityManager em = factory.createEntityManager();
        // read the existing entries and write to console
        Query q = em.createQuery("select t from Student t");
        List<Student> studentList = q.getResultList();
        System.out.println("A dikok: ");
        for (Student student : studentList) {
            System.out.println(student);
        }
        System.out.println("Dikok szma: " + studentList.size());

        // create new student
        String name, eha;
        double average;
        em.getTransaction().begin();
        Student student = new Student();
        name = "Kovcs Edit";
        eha = "KOEDINF.PTE";
        average = 4.2;
        student.setName(name);
        student.setEhaCode(eha);
        student.setAverage(average);

        em.persist(student);
        em.getTransaction().commit();

        em.close();
    }
}
